MultiTenancyStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum MultiTenancyStrategy

    java.lang.Object
      java.lang.Enum<MultiTenancyStrategy>
          org.hibernate.MultiTenancyStrategy

All Implemented Interfaces:
  Serializable, Comparable<MultiTenancyStrategy>

    public enum MultiTenancyStrategy

extends Enum<MultiTenancyStrategy>

Describes the methods for multi-tenancy understood by Hibernate.

Enum Constant Summary
`DATABASE` Multi-tenancy implemented as separate databases.
`DISCRIMINATOR` Multi-tenancy implemented by use of discriminator columns.
`NONE` No multi-tenancy
`SCHEMA` Multi-tenancy implemented as separate schemas.

Method Summary
`static MultiTenancyStrategy` | `determineMultiTenancyStrategy(Map properties)`
`static MultiTenancyStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultiTenancyStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCRIMINATOR

    public static final MultiTenancyStrategy DISCRIMINATOR

  Multi-tenancy implemented by use of discriminator columns.

### SCHEMA

    public static final MultiTenancyStrategy SCHEMA

  Multi-tenancy implemented as separate schemas.

### DATABASE

    public static final MultiTenancyStrategy DATABASE

  Multi-tenancy implemented as separate databases.

### NONE

    public static final MultiTenancyStrategy NONE

  No multi-tenancy

Method Detail

### values

    public static MultiTenancyStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MultiTenancyStrategy c : MultiTenancyStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MultiTenancyStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### determineMultiTenancyStrategy

    public static MultiTenancyStrategy determineMultiTenancyStrategy(Map properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.